summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2016-05-16 11:53:41 -0400
committerMichael Sterrett <mr_bones_@gentoo.org>2016-05-16 11:54:30 -0400
commit00742e7a818d804bf14f461481b5b42e0e515f94 (patch)
tree7ac79aabe02e5360a4a9631809664db95ed849da /games-arcade
parentapp-text/jabref-bin: Version bump (diff)
downloadgentoo-00742e7a818d804bf14f461481b5b42e0e515f94.tar.gz
gentoo-00742e7a818d804bf14f461481b5b42e0e515f94.tar.bz2
gentoo-00742e7a818d804bf14f461481b5b42e0e515f94.zip
games-arcade/performous: fix building with USE=tools by further commiting to use the system-cmake-find-zlib module
Package-Manager: portage-2.2.28
Diffstat (limited to 'games-arcade')
-rw-r--r--games-arcade/performous/performous-1.0.ebuild4
-rw-r--r--games-arcade/performous/performous-1.1.ebuild6
2 files changed, 7 insertions, 3 deletions
diff --git a/games-arcade/performous/performous-1.0.ebuild b/games-arcade/performous/performous-1.0.ebuild
index 9fa6cdf80da..fbdaa56aeed 100644
--- a/games-arcade/performous/performous-1.0.ebuild
+++ b/games-arcade/performous/performous-1.0.ebuild
@@ -66,9 +66,11 @@ src_prepare() {
sed -i \
-e "s:@GENTOO_BINDIR@:${GAMES_BINDIR}:" \
-e '/ Z /s/ Z / ZLIB /' \
+ -e 's/Z_FOUND/ZLIB_FOUND/g' \
+ -e 's/Z_LIBRARIES/ZLIB_LIBRARIES/g' \
-e 's/Jpeg/JPEG/' \
-e 's/Png/PNG/' \
- game/CMakeLists.txt || die
+ {game,tools}/CMakeLists.txt || die
strip-linguas -u lang
}
diff --git a/games-arcade/performous/performous-1.1.ebuild b/games-arcade/performous/performous-1.1.ebuild
index 9d54a662e18..1fcd585c42a 100644
--- a/games-arcade/performous/performous-1.1.ebuild
+++ b/games-arcade/performous/performous-1.1.ebuild
@@ -63,10 +63,12 @@ src_prepare() {
"${FILESDIR}"/${P}-linguas.patch
sed -i \
-e "s:@GENTOO_BINDIR@:${GAMES_BINDIR}:" \
- -e '/ Z /s/ Z / ZLIB /' \
+ -e '/ Z /s/ Z/ ZLIB/g' \
+ -e 's/Z_FOUND/ZLIB_FOUND/g' \
+ -e 's/Z_LIBRARIES/ZLIB_LIBRARIES/g' \
-e 's/Jpeg/JPEG/' \
-e 's/Png/PNG/' \
- game/CMakeLists.txt || die
+ {game,tools}/CMakeLists.txt || die
strip-linguas -u lang
}